Skip to content

Add a comment to a work order

POST
/api/vendor/work-orders/{id}/comments
curl --request POST \
--url https://api.getvespy.com/api/vendor/work-orders/example/comments \
--header 'Authorization: Bearer <token>'
id
required
string

Default Response

Media typeapplication/json
object
note
required
object
body
required
string
>= 1 characters <= 4000 characters
createdAt
required
string format: date-time
createdByUser
required
object
fullName
required
string
>= 1 characters <= 160 characters
id
required
string format: uuid
createdByUserId
required
string format: uuid
nullable
entityId
required
string format: uuid
entityType
required
string
Allowed values: property unit owner tenant lease vendor work_order
id
required
string format: uuid
visibility
required
string
Allowed values: organization_only tenant_shared vendor_shared tenant_vendor_shared
Example
{
"note": {
"entityType": "property",
"visibility": "organization_only"
}
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}